"use strict";

/**
* @name baseSeriesObject
* @publicName Series
* @type object
*/
var BaseBaseSeries = {
  /**
  * @name baseSeriesObjectFields_fullstate
  * @publicName fullState
  * @type number
  */
  fullState: 0,
  /**
  * @name baseSeriesObjectmethods_clearselection
  * @publicName clearSelection()
  */
  clearSelection: function clearSelection() {},
  /**
  * @name baseSeriesObjectmethods_deselectpoint
  * @publicName deselectPoint(point)
  * @param1 point:basePointObject
  */
  deselectPoint: function deselectPoint() {},
  /**
  * @name baseSeriesObjectmethods_getcolor
  * @publicName getColor()
  * @return string
  */
  getColor: function getColor() {},
  /**
  * @name baseSeriesObjectmethods_getallpoints
  * @publicName getAllPoints()
  * @return Array<basePointObject>
  */
  getAllPoints: function getAllPoints() {},
  /**
  * @name baseSeriesObjectmethods_getpointsbyarg
  * @publicName getPointsByArg(pointArg)
  * @param1 pointArg:number|string|date
  * @return Array<basePointObject>
  */
  getPointsByArg: function getPointsByArg() {},
  /**
  * @name baseSeriesObjectmethods_getpointbypos
  * @publicName getPointByPos(positionIndex)
  * @param1 positionIndex:number
  * @return basePointObject
  */
  getPointByPos: function getPointByPos() {},
  /**
  * @name baseSeriesObjectmethods_getvisiblepoints
  * @publicName getVisiblePoints()
  * @return Array<basePointObject>
  */
  getVisiblePoints: function getVisiblePoints() {},
  /**
  * @name baseSeriesObjectmethods_select
  * @publicName select()
  */
  select: function select() {},
  /**
  * @name baseSeriesObjectmethods_selectpoint
  * @publicName selectPoint(point)
  * @param1 point:basePointObject
  */
  selectPoint: function selectPoint() {},
  /**
  * @name baseSeriesObjectmethods_hover
  * @publicName hover()
  */
  hover: function hover() {},
  /**
  * @name baseSeriesObjectmethods_clearHover
  * @publicName clearHover()
  */
  clearHover: function clearHover() {},
  /**
  * @name baseSeriesObjectmethods_isSelected
  * @publicName isSelected()
  * @return boolean
  */
  isSelected: function isSelected() {},
  /**
  * @name baseSeriesObjectmethods_isHovered
  * @publicName isHovered()
  * @return boolean
  */
  isHovered: function isHovered() {},
  /**
  * @name baseSeriesObjectmethods_isvisible
  * @publicName isVisible()
  * @return boolean
  */
  isVisible: function isVisible() {},
  /**
  * @name baseSeriesObjectFields_type
  * @publicName type
  * @type string
  */
  type: null,
  /**
  * @name baseSeriesObjectFields_name
  * @publicName name
  * @type any
  */
  name: null,
  /**
  * @name baseSeriesObjectFields_tag
  * @publicName tag
  * @type any
  */
  tag: null,
  /**
  * @name baseSeriesObjectmethods_show
  * @publicName show()
  */
  show: function show() {},
  /**
  * @name baseSeriesObjectmethods_hide
  * @publicName hide()
  */
  hide: function hide() {}

  /**
  * @name basePointObject
  * @publicName Point
  * @type object
  */
};var BasePoint = {
  /**
  * @name basePointObjectFields_data
  * @publicName data
  * @type any
  */
  data: {},
  /**
  * @name basePointObjectFields_fullstate
  * @publicName fullState
  * @type number
  */
  fullState: 0,
  /**
  * @name basePointObjectmethods_clearselection
  * @publicName clearSelection()
  */
  clearSelection: function clearSelection() {},
  /**
  * @name basePointObjectFields_originalArgument
  * @publicName originalArgument
  * @type string|number|date
  */
  originalArgument: null,
  /**
  * @name basePointObjectFields_originalValue
  * @publicName originalValue
  * @type string|number|date
  */
  originalValue: null,
  /**
  * @name basePointObjectmethods_select
  * @publicName select()
  */
  select: function select() {},
  /**
  * @name basePointObjectmethods_hover
  * @publicName hover()
  */
  hover: function hover() {},
  /**
  * @name basePointObjectmethods_clearHover
  * @publicName clearHover()
  */
  clearHover: function clearHover() {},
  /**
  * @name basePointObjectmethods_isSelected
  * @publicName isSelected()
  * @return boolean
  */
  isSelected: function isSelected() {},
  /**
  * @name basePointObjectmethods_isHovered
  * @publicName isHovered()
  * @return boolean
  */
  isHovered: function isHovered() {},
  /**
  * @name basePointObjectmethods_showTooltip
  * @publicName showTooltip()
  */
  showTooltip: function showTooltip() {},
  /**
  * @name basePointObjectmethods_hideTooltip
  * @publicName hideTooltip()
  */
  hideTooltip: function hideTooltip() {},
  /**
  * @name basePointObjectmethods_getcolor
  * @publicName getColor()
  * @return string
  */
  getColor: function getColor() {},
  /**
  * @name basePointObjectFields_series
  * @publicName series
  * @type object
  */
  series: null,
  /**
  * @name basePointObjectFields_tag
  * @publicName tag
  * @type any
  */
  tag: null,
  /**
  * @name basePointObjectmethods_getlabel
  * @publicName getLabel()
  * @return baseLabelObject|Array<baseLabelObject>
  */
  getLabel: function getLabel() {}
};
/**
* @name baseLabelObject
* @publicName Label
* @type object
*/
var BaseLabel = {
  /**
  * @name baseLabelObjectmethods_getboundingrect
  * @publicName getBoundingRect()
  * @return object
  */
  getBoundingRect: function getBoundingRect() {},
  /**
  * @name baseLabelObjectmethods_hide
  * @publicName hide()
  */
  /**
  * @name baseLabelObjectmethods_hide
  * @publicName hide(holdInvisible)
  * @param1 holdInvisible:boolean
  */
  hide: function hide(holdInvisible) {},
  /**
  * @name baseLabelObjectmethods_show
  * @publicName show()
  */
  /**
  * @name baseLabelObjectmethods_show
  * @publicName show(holdVisible)
  * @param1 holdVisible:boolean
  */
  show: function show(holdVisible) {},
  /**
  * @name baseLabelObjectmethods_isvisible
  * @publicName isVisible()
  * @return boolean
  */
  isVisible: function isVisible() {}
};