/**
* DevExtreme (ui/check_box.d.ts)
* Version: 18.1.0 (build 18103)
* Build date: Fri Apr 13 2018
*
* Copyright (c) 2012 - 2018 Developer Express Inc. ALL RIGHTS RESERVED
* Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
*/
import DevExpress from '../bundles/dx.all';

declare global {
interface JQuery {
    dxCheckBox(): JQuery;
    dxCheckBox(options: "instance"): DevExpress.ui.dxCheckBox;
    dxCheckBox(options: string): any;
    dxCheckBox(options: string, ...params: any[]): any;
    dxCheckBox(options: DevExpress.ui.dxCheckBoxOptions): JQuery;
}
}
export default DevExpress.ui.dxCheckBox;
export type IOptions = DevExpress.ui.dxCheckBoxOptions;