/**
* DevExtreme (ui/context_menu.d.ts)
* Version: 18.1.0 (build 18103)
* Build date: Fri Apr 13 2018
*
* Copyright (c) 2012 - 2018 Developer Express Inc. ALL RIGHTS RESERVED
* Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
*/
import DevExpress from '../bundles/dx.all';

declare global {
interface JQuery {
    dxContextMenu(): JQuery;
    dxContextMenu(options: "instance"): DevExpress.ui.dxContextMenu;
    dxContextMenu(options: string): any;
    dxContextMenu(options: string, ...params: any[]): any;
    dxContextMenu(options: DevExpress.ui.dxContextMenuOptions): JQuery;
}
}
export default DevExpress.ui.dxContextMenu;
export type IOptions = DevExpress.ui.dxContextMenuOptions;