
/**
 * @typedef {string} Enums.ButtonType
 * @enum {'back'|'danger'|'default'|'normal'|'success'}
 */

/**
 * @typedef {number} Enums.FirstDayOfWeek
 * @enum {0|1|2|3|4|5|6}
 */

/**
 * @typedef {number} Enums.PivotGridFieldChooserLayout
* @enum {0|1|2}
*/

/**
 * @typedef {string} Enums.DropDownSearchMode
 * @enum {'contains'|'startswith'}
 */

/**
 * @typedef {string} Enums.ValidationMessageMode
 * @enum {'always'|'auto'}
 */

/**
 * @typedef {string} Enums.GaugeTitlePosition
 * @enum {'bottom-center'|'bottom-left'|'bottom-right'|'top-center'|'top-left'|'top-right'}
 */

/**
 * @typedef {string} Enums.VizAnimationEasing
 * @enum {'easeOutCubic'|'linear'}
 */

/**
 * @typedef {string} Enums.Format
 * @enum {'billions'|'currency'|'day'|'decimal'|'exponential'|'fixedPoint'|'largeNumber'|'longDate'|'longTime'|'millions'|'millisecond'|'month'|'monthAndDay'|'monthAndYear'|'percent'|'quarter'|'quarterAndYear'|'shortDate'|'shortTime'|'thousands'|'trillions'|'year'|'dayOfWeek'|'hour'|'longDateLongTime'|'minute'|'second'|'shortDateShortTime'}
 */

/**
 * @typedef {string} Enums.VizPalette
 * @enum {'Bright'|'Default'|'Harmony Light'|'Ocean'|'Pastel'|'Soft'|'Soft Pastel'|'Vintage'|'Violet'|'Carmine'|'Dark Moon'|'Dark Violet'|'Green Mist'|'Soft Blue'|'Material'|'Office'}
 * @member 'Default' @deprecated 'Material'
 */

/**
 * @typedef {string} Enums.VizPaletteExtensionMode
 * @enum {'alternate'|'blend'|'extrapolate'}
 */

/**
 * @typedef {string} Enums.CircularGaugeElementOrientation
 * @enum {'center'|'inside'|'outside'}
 */

/**
 * @typedef {string} Enums.GaugeOverlappingBehavior
 * @enum {'first'|'last'}
 */

/**
 * @typedef {string} Enums.ScaleLabelOverlappingBehavior
 * @enum {'hide'|'none'}
 */

/**
 * @typedef {string} Enums.Orientation
 * @enum {'horizontal'|'vertical'}
 */

/**
 * @typedef {string} Enums.VerticalAlignment
 * @enum {'bottom'|'center'|'top'}
 */

/**
 * @typedef {string} Enums.HorizontalAlignment
 * @enum {'center'|'left'|'right'}
 */

/**
 * @typedef {string} Enums.VerticalEdge
 * @enum {'bottom'|'top'}
 */

/**
 * @typedef {string} Enums.DashStyle
 * @enum {'dash'|'dot'|'longDash'|'solid'}
 */

/**
 * @typedef {string} Enums.BoxDirection
 * @enum {'col'|'row'}
 */

/**
 * @typedef {string} Enums.BoxAlign
 * @enum {'center'|'end'|'space-around'|'space-between'|'start'}
 */

/**
 * @typedef {string} Enums.BoxCrossAlign
 * @enum {'center'|'end'|'start'|'stretch'}
 */

/**
 * @typedef {string} Enums.Mode
 * @enum {'auto'}
 */

/**
 * @typedef {string} Enums.SparklineType
 * @enum {'area'|'bar'|'line'|'spline'|'splinearea'|'steparea'|'stepline'|'winloss'}
 */

/**
 * @typedef {string} Enums.VizPointSymbol
 * @enum {'circle'|'cross'|'polygon'|'square'|'triangle'}
 */

/**
 * @typedef {string} Enums.CalendarZoomLevel
 * @enum {'century'|'decade'|'month'|'year'}
 */

/**
 * @typedef {string} Enums.ChartResolveLabelOverlapping
 * @enum {'hide'|'none'|'stack'}
 */

/**
 * @typedef {string} Enums.ChartElementSelectionMode
 * @enum {'multiple'|'single'}
 */

/**
 * @typedef {string} Enums.SeriesType
 * @enum {'area'|'bar'|'bubble'|'candlestick'|'fullstackedarea'|'fullstackedbar'|'fullstackedline'|'fullstackedspline'|'fullstackedsplinearea'|'line'|'rangearea'|'rangebar'|'scatter'|'spline'|'splinearea'|'stackedarea'|'stackedbar'|'stackedline'|'stackedspline'|'stackedsplinearea'|'steparea'|'stepline'|'stock'}
 */

/**
 * @typedef {string} Enums.Position
 * @enum {'bottom'|'left'|'right'|'top'}
 */

/**
 * @typedef {string} Enums.ChartPointerType
 * @enum {'all'|'mouse'|'none'|'touch'}
 */

/**
 * @typedef {string} Enums.ChartLegendHoverMode
 * @enum {'excludePoints'|'includePoints'|'none'}
 */

/**
 * @typedef {string} Enums.RelativePosition
 * @enum {'inside'|'outside'}
 */

/**
 * @typedef {string} Enums.DiscreteAxisDivisionMode
 * @enum {'betweenLabels'|'crossLabels'}
 */

/**
 * @typedef {string} Enums.ScaleBreakLineStyle
 * @enum {'straight'|'waved'}
 */

/**
 * @typedef {string} Enums.ChartLabelDisplayMode
 * @enum {'rotate'|'stagger'|'standard'}
 */

/**
 * @typedef {string} Enums.VizTimeInterval
 * @enum {'day'|'hour'|'millisecond'|'minute'|'month'|'quarter'|'second'|'week'|'year'}
 */

/**
 * @typedef {string} Enums.AxisScaleType
 * @enum {'continuous'|'discrete'|'logarithmic'}
 */

/**
 * @typedef {string} Enums.ChartDataType
 * @enum {'datetime'|'numeric'|'string'}
 */

/**
 * @typedef {string} Enums.ArgumentAxisHoverMode
 * @enum {'allArgumentPoints'|'none'}
 */

/**
 * @typedef {string} Enums.ChartTooltipLocation
 * @enum {'center'|'edge'}
 */

/**
 * @typedef {string} Enums.PieChartLegendHoverMode
 * @enum {'none'|'allArgumentPoints'}
 */

/**
 * @typedef {string} Enums.PieChartResolveLabelOverlapping
 * @enum {'hide'|'none'|'shift'}
 */

/**
 * @typedef {string} Enums.PieChartType
 * @enum {'donut'|'doughnut'|'pie'}
 */

/**
 * @typedef {string} Enums.PieChartSegmentsDirection
 * @enum {'anticlockwise'|'clockwise'}
 */

/**
 * @typedef {string} Enums.PolarChartResolveLabelOverlapping
 * @enum {'hide'|'none'}
 */

/**
 * @typedef {string} Enums.PolarChartSeriesType
 * @enum {'area'|'bar'|'line'|'scatter'|'stackedbar'}
 */

/**
 * @typedef {string} Enums.EditorApplyValueMode
 * @enum {'instantly'|'useButtons'}
 */

/**
 * @typedef {string} Enums.ShowSubmenuMode
 * @enum {'onClick'|'onHover'}
 */

/**
 * @typedef {string} Enums.MenuSelectionMode
 * @enum {'none'|'single'}
 */

/**
 * @typedef {string} Enums.ContextMenuSubmenuDirection
 * @enum {'auto'|'left'|'right'}
 */

/**
 * @typedef {string} Enums.GridColumnChooserMode
 * @enum {'dragAndDrop'|'select'}
 */

/**
 * @typedef {string} Enums.ColumnResizingMode
 * @enum {'nextColumn'|'widget'}
 */

/**
 * @typedef {string} Enums.HorizontalEdge
 * @enum {'left'|'right'}
 */

/**
 * @typedef {string} Enums.GridColumnDataType
 * @enum {'string'|'number'|'date'|'boolean'|'object'|'datetime'}
 */

/**
 * @typedef {string} Enums.SortOrder
 * @enum {'asc'|'desc'}
 */

/**
 * @typedef {string} Enums.FilterBuilderFieldFilterOperations
 * @enum {'='|'<>'|'<'|'<='|'>'|'>='|'contains'|'endswith'|'isblank'|'isnotblank'|'notcontains'|'startswith'|'between'}
 */

/**
 * @typedef {string} Enums.FilterOperations
 * @enum {'<'|'<='|'<>'|'='|'>'|'>='|'between'|'contains'|'endswith'|'notcontains'|'startswith'}
 */

/**
 * @typedef {string} Enums.FilterType
 * @enum {'exclude'|'include'}
 */

/**
 * @typedef {string} Enums.HeaderFilterGroupInterval
 * @enum {'day'|'hour'|'minute'|'month'|'quarter'|'second'|'year'}
 */

/**
 * @typedef {string} Enums.GridEditMode
 * @enum {'batch'|'cell'|'row'|'form'|'popup'}
 */

/**
 * @typedef {string} Enums.GridApplyFilterMode
 * @enum {'auto'|'onClick'}
 */

/**
 * @typedef {string} Enums.GridGroupingExpandMode
 * @enum {'buttonClick'|'rowClick'}
 */

/**
 * @typedef {string} Enums.GridScrollingMode
 * @enum {'infinite'|'standard'|'virtual'}
 */

/**
 * @typedef {string} Enums.ShowScrollbarMode
 * @enum {'always'|'never'|'onHover'|'onScroll'}
 */

/**
 * @typedef {string} Enums.SelectionMode
 * @enum {'multiple'|'none'|'single'}
 */

/**
 * @typedef {string} Enums.GridSelectionShowCheckBoxesMode
 * @enum {'always'|'none'|'onClick'|'onLongTap'}
 */

/**
 * @typedef {string} Enums.SelectAllMode
 * @enum {'allPages'|'page'}
 */

/**
 * @typedef {string} Enums.SummaryType
 * @enum {'avg'|'count'|'custom'|'max'|'min'|'sum'}
 */

/**
 * @typedef {string} Enums.GridSortingMode
 * @enum {'multiple'|'none'|'single'}
 */

/**
 * @typedef {string} Enums.StateStoringType
 * @enum {'custom'|'localStorage'|'sessionStorage'}
 */

/**
 * @typedef {string} Enums.DateBoxType
 * @enum {'date'|'datetime'|'time'}
 */

/**
 * @typedef {string} Enums.DateBoxPickerType
 * @enum {'calendar'|'list'|'native'|'rollers'}
 */

/**
 * @typedef {string} Enums.FileUploadMode
 * @enum {'instantly'|'useButtons'|'useForm'}
 */

/**
 * @typedef {string} Enums.UploadHttpMethod
 * @enum {'POST'|'PUT'}
 */

/**
 * @typedef {string} Enums.FormLabelLocation
 * @enum {'left'|'right'|'top'}
 */

/**
 * @typedef {string} Enums.FormItemEditorType
 * @enum {'dxAutocomplete'|'dxCalendar'|'dxCheckBox'|'dxColorBox'|'dxDateBox'|'dxDropDownBox'|'dxLookup'|'dxNumberBox'|'dxRadioGroup'|'dxRangeSlider'|'dxSelectBox'|'dxSlider'|'dxSwitch'|'dxTagBox'|'dxTextArea'|'dxTextBox'}
 */

/**
 * @typedef {string} Enums.FormItemType
 * @enum {'empty'|'group'|'simple'|'tabbed'|'button'}
 */

/**
 * @typedef {string} Enums.FunnelAlgorithm
 * @enum {'dynamicHeight'|'dynamicSlope'}
 */

/**
 * @typedef {string} Enums.HatchingDirection
 * @enum {'left'|'none'|'right'}
 */

/**
 * @typedef {string} Enums.FunnelLabelPosition
 * @enum {'columns'|'inside'|'outside'}
 */

/**
 * @typedef {string} Enums.ListSelectionMode
 * @enum {'all'|'multiple'|'none'|'single'}
 */

/**
 * @typedef {string} Enums.ListMenuMode
 * @enum {'context'|'slide'}
 */

/**
 * @typedef {string} Enums.ListItemDeleteMode
 * @enum {'context'|'slideButton'|'slideItem'|'static'|'swipe'|'toggle'}
 */

/**
 * @typedef {string} Enums.ListPageLoadMode
 * @enum {'nextButton'|'scrollBottom'}
 */

/**
 * @typedef {string} Enums.CollectionSearchMode
 * @enum {'contains'|'startswith'}
 */

/**
 * @typedef {string} Enums.GeoMapType
 * @enum {'hybrid'|'roadmap'|'satellite'}
 */

/**
 * @typedef {string} Enums.GeoMapProvider
 * @enum {'bing'|'google'|'googleStatic'}
 */

/**
 * @typedef {string} Enums.GeoMapRouteMode
 * @enum {'driving'|'walking'}
 */

/**
 * @typedef {string} Enums.SubmenuDirection
 * @enum {'auto'|'leftOrTop'|'rightOrBottom'}
 */

/**
 * @typedef {string} Enums.NavSelectionMode
 * @enum {'multiple'|'single'}
 */

/**
 * @typedef {string} Enums.NumberBoxMode
 * @enum {'number'|'text'|'tel'}
 */

/**
 * @typedef {string} Enums.PivotGridScrollingMode
 * @enum {'standard'|'virtual'}
 */

/**
 * @typedef {string} Enums.PivotGridDataFieldArea
 * @enum {'column'|'row'}
 */

/**
 * @typedef {string} Enums.PivotGridTotalsDisplayMode
 * @enum {'both'|'columns'|'none'|'rows'}
 */

/**
 * @typedef {string} Enums.PivotGridRowHeadersLayout
 * @enum {'standard'|'tree'}
 */

/**
 * @typedef {string} Enums.Toolbar
 * @enum {'bottom'|'top'}
 */

/**
 * @typedef {string} Enums.ToolbarItemWidget
 * @enum {'dxAutocomplete'|'dxButton'|'dxCheckBox'|'dxDateBox'|'dxMenu'|'dxSelectBox'|'dxTabs'|'dxTextBox'}
 */

/**
 * @typedef {string} Enums.ToolbarItemLocation
 * @enum {'after'|'before'|'center'}
 */

/**
 * @typedef {string} Enums.RangeSelectorAxisScaleType
 * @enum {'continuous'|'discrete'|'logarithmic'|'semidiscrete'}
 */

/**
 * @typedef {string} Enums.ValueChangedCallMode
 * @enum {'onMoving'|'onMovingComplete'}
 */

/**
 * @typedef {string} Enums.BackgroundImageLocation
 * @enum {'center'|'centerBottom'|'centerTop'|'full'|'leftBottom'|'leftCenter'|'leftTop'|'rightBottom'|'rightCenter'|'rightTop'}
 */

/**
 * @typedef {string} Enums.RangeSelectorChartAxisScaleType
 * @enum {'continuous'|'logarithmic'}
 */

/**
 * @typedef {string} Enums.SliderTooltipShowMode
 * @enum {'always'|'onHover'}
 */

/**
 * @typedef {string} Enums.SchedulerViewType
 * @enum {'agenda'|'day'|'month'|'timelineDay'|'timelineMonth'|'timelineWeek'|'timelineWorkWeek'|'week'|'workWeek'}
 */

/**
 * @typedef {string} Enums.MaxAppointmentsPerCell
 * @enum {'auto'|'unlimited'}
 */

/**
 * @typedef {string} Enums.SchedulerRecurrenceEditMode
 * @enum {'dialog'|'occurrence'|'series'}
 */

/**
 * @typedef {string} Enums.ScrollDirection
 * @enum {'both'|'horizontal'|'vertical'}
 */

/**
 * @typedef {string} Enums.SlideOutMenuPosition
 * @enum {'inverted'|'normal'}
 */

/**
 * @typedef {string} Enums.TextBoxMode
 * @enum {'email'|'password'|'search'|'tel'|'text'|'url'}
 */

/**
 * @typedef {string} Enums.ShowMaskMode
 * @enum {'always'|'onFocus'}
 */

/**
 * @typedef {string} Enums.ToastType
 * @enum {'custom'|'error'|'info'|'success'|'warning'}
 */

/**
 * @typedef {string} Enums.ToolbarItemLocateInMenuMode
 * @enum {'always'|'auto'|'never'}
 */

/**
 * @typedef {string} Enums.ToolbarItemShowTextMode
 * @enum {'always'|'inMenu'}
 */

/**
 * @typedef {string} Enums.ToolbarRenderMode
 * @enum {'bottomToolbar'|'topToolbar'}
 */

/**
 * @typedef {string} Enums.TreeListDataStructure
 * @enum {'plain'|'tree'}
 */

/**
 * @typedef {string} Enums.TreeListScrollingMode
 * @enum {'standard'|'virtual'}
 */

/**
* @typedef {string} Enums.GridRowRenderingMode
* @enum {'standard'|'virtual'}
*/

/**
* @typedef {string} Enums.GridColumnRenderingMode
* @enum {'standard'|'virtual'}
*/

/**
 * @typedef {string} Enums.TreeMapLayoutAlgorithm
 * @enum {'sliceanddice'|'squarified'|'strip'}
 */

/**
 * @typedef {string} Enums.TreeMapLayoutDirection
 * @enum {'leftBottomRightTop'|'leftTopRightBottom'|'rightBottomLeftTop'|'rightTopLeftBottom'}
 */

/**
 * @typedef {string} Enums.TreeMapResolveLabelOverflow
 * @enum {'ellipsis'|'hide'}
 */

/**
 * @typedef {string} Enums.TreeMapColorizerType
 * @enum {'discrete'|'gradient'|'none'|'range'}
 */

/**
 * @typedef {string} Enums.TreeViewDataStructure
 * @enum {'plain'|'tree'}
 */

/**
 * @typedef {string} Enums.TreeViewCheckBoxMode
 * @enum {'none'|'normal'|'selectAll'}
 */

/**
 * @typedef {string} Enums.VectorMapLayerType
 * @enum {'area'|'line'|'marker'}
 */

/**
 * @typedef {string} Enums.VectorMapMarkerType
 * @enum {'bubble'|'dot'|'image'|'pie'}
 */

/**
 * @typedef {string} Enums.VectorMapMarkerShape
 * @enum {'circle'|'square'}
 */

/**
 * @typedef {string} Enums.AnimationType
 * @enum {'css'|'fade'|'fadeIn'|'fadeOut'|'pop'|'slide'|'slideIn'|'slideOut'}
 */

/**
 * @typedef {string} Enums.Direction
 * @enum {'bottom'|'left'|'right'|'top'}
 */

/**
 * @typedef {string} Enums.FinancialChartReductionLevel
 * @enum {'close'|'high'|'low'|'open'}
 */

/**
 * @typedef {string} Enums.ChartSeriesHoverMode
 * @enum {'allArgumentPoints'|'allSeriesPoints'|'excludePoints'|'includePoints'|'nearestPoint'|'none'|'onlyPoint'}
 */

/**
 * @typedef {string} Enums.ChartSeriesSelectionMode
 * @enum {'allArgumentPoints'|'allSeriesPoints'|'excludePoints'|'includePoints'|'none'|'onlyPoint'}
 */

/**
 * @typedef {string} Enums.ChartPointInteractionMode
 * @enum {'allArgumentPoints'|'allSeriesPoints'|'none'|'onlyPoint'}
 */

/**
 * @typedef {string} Enums.PointSymbol
 * @enum {'circle'|'cross'|'polygon'|'square'|'triangleDown'|'triangleUp'}
 */

/**
 * @typedef {string} Enums.ValueErrorBarDisplayMode
 * @enum {'auto'|'high'|'low'|'none'}
 */

/**
 * @typedef {string} Enums.ValueErrorBarType
 * @enum {'fixed'|'percent'|'stdDeviation'|'stdError'|'variance'}
 */

/**
 * @typedef {string} Enums.ValidationRuleType
 * @enum {'required'|'numeric'|'range'|'stringLength'|'custom'|'compare'|'pattern'|'email'}
 */

/**
 * @typedef {string} Enums.ComparisonOperator
 * @enum {'!='|'!=='|'<'|'<='|'=='|'==='|'>'|'>='}
 */

/**
 * @typedef {string} Enums.FilterBuilderFieldDataType
 * @enum {'string'|'number'|'date'|'boolean'|'object'|'datetime'}
 */

/**
 * @typedef {string} Enums.SmallValuesGroupingMode
 * @enum {'none'|'smallValueThreshold'|'topN'}
 */

/**
 * @typedef {string} Enums.PieChartSeriesInteractionMode
 * @enum {'none'|'onlyPoint'}
 */

/**
 * @typedef {string} Enums.PieChartLabelPosition
 * @enum {'columns'|'inside'|'outside'}
 */

/**
 * @typedef {string} Enums.PivotGridDataType
 * @enum {'date'|'number'|'string'}
 */

/**
 * @typedef {string} Enums.PivotGridGroupInterval
 * @enum {'day'|'dayOfWeek'|'month'|'quarter'|'year'}
 */

/**
 * @typedef {string} Enums.PivotGridArea
 * @enum {'column'|'data'|'filter'|'row'}
 */

/**
 * @typedef {string} Enums.PivotGridSortBy
 * @enum {'displayText'|'value'|'none'}
 */

/**
 * @typedef {string} Enums.ApplyChangesMode
 * @enum {'instantly'|'onDemand'}
 */

/**
 * @typedef {string} Enums.PivotGridSummaryDisplayMode
 * @enum {'absoluteVariation'|'percentOfColumnGrandTotal'|'percentOfColumnTotal'|'percentOfGrandTotal'|'percentOfRowGrandTotal'|'percentOfRowTotal'|'percentVariation'}
 */

/**
 * @typedef {string} Enums.PivotGridRunningTotalMode
 * @enum {'column'|'row'}
 */

/**
 * @typedef {string} Enums.PositionAlignment
 * @enum {'bottom'|'center'|'left'|'left bottom'|'left top'|'right'|'right bottom'|'right top'|'top'}
 */

/**
 * @typedef {string} Enums.PositionResolveCollisionXY
 * @enum {'fit'|'fit flip'|'fit flipfit'|'fit none'|'flip'|'flip fit'|'flip none'|'flipfit'|'flipfit fit'|'flipfit none'|'none'|'none fit'|'none flip'|'none flipfit'}
 */

/**
 * @typedef {string} Enums.PositionResolveCollision
 * @enum {'fit'|'flip'|'flipfit'|'none'}
 */

/**
* @typedef {string} Enums.ChartSeriesAggregationMethod
* @enum {'avg'|'count'|'max'|'min'|'ohlc'|'range'|'sum'|'custom'}
*/

/**
 * @typedef {string} Enums.ChartSingleValueSeriesAggregationMethod
 * @enum {'avg'|'count'|'max'|'min'|'sum'|'custom'}
 */

/**
* @typedef {string} Enums.ChartFinancialSeriesAggregationMethod
* @enum {'ohlc'|'custom'}
*/

/**
* @typedef {string} Enums.ChartRangeSeriesAggregationMethod
* @enum {'range'|'custom'}
*/

/**
* @typedef {string} Enums.ChartBubbleSeriesAggregationMethod
* @enum {'avg'|'custom'}
*/

/**
* @typedef {string} Enums.GridCommandColumnType
* @enum {'adaptive'|'edit'|'expand'|'select'}
*/

/**
* @typedef {string} Enums.TreeListCommandColumnType
* @enum {'adaptive'|'edit'}
*/

/**
* @typedef {string} Enums.DataSourceStoreType
* @enum {'array'|'local'|'odata'}
*/

/**
* @typedef {string} Enums.PivotGridStoreType
* @enum {'array'|'local'|'odata'|'xmla'}
*/
"use strict";